Skip to content
API referenceConsumerConsumer.devices

List pending devices

GET
/consumer/v1/devices/pending

Account owners and admins can list devices on their own consumer account awaiting machine authorization.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/consumer/v1/devices/pending" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "data": [    {      "consumer_account_id": "22222222-2222-2222-2222-222222222222",      "id": "55555555-5555-5555-5555-555555555555",      "machine_key": "AQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQE=",      "name": "Approval Candidate",      "platform": "linux",      "registered_at": "2026-04-22T12:00:00Z",      "registered_via": "interactive",      "user": {        "email": "[email protected]",        "id": "33333333-3333-3333-3333-333333333333"      }    }  ],  "meta": {    "has_more": true,    "limit": 0,    "offset": 0,    "total": 0  }}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}